Package org.pushingpixels.lafwidget.tabbed

# Class TabOverviewDialog.TabPreviewMouseHandler

java.lang.Object
java.awt.event.MouseAdapter
org.pushingpixels.lafwidget.tabbed.TabOverviewDialog.TabPreviewMouseHandler

All Implemented Interfaces:
  `MouseListener`, `MouseMotionListener`, `MouseWheelListener`, `EventListener`

Enclosing class:
  `TabOverviewDialog`

protected class TabOverviewDialog.TabPreviewMouseHandler extends MouseAdapter
Handles mouse events on the tab overview dialog (such as highlighting the currently rolled-over tab preview, closing the overview when a tab preview is clicked, tooltips etc.)

## Constructor Summary

Constructors
Constructor
Description
`TabPreviewMouseHandler(int index, JComponent previewControl, boolean hasRolloverBorderEffect, boolean useDoubleClick)`
Creates the mouse handler for a single tab preview control.

## Method Summary

Modifier and Type
Method
Description
`void`
`mouseClicked(MouseEvent e)`
`void`
`mouseEntered(MouseEvent e)`
`void`
`mouseExited(MouseEvent e)`

### Methods inherited from class java.awt.event.MouseAdapter

`mouseDragged, mouseMoved, mousePressed, mouseReleased, mouseWheelMoved`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TabPreviewMouseHandler

public TabPreviewMouseHandler(int index, JComponent previewControl, boolean hasRolloverBorderEffect, boolean useDoubleClick)
Creates the mouse handler for a single tab preview control.

Parameters:
  `index` - Tab index.
  `previewControl` - Tab preview control.
  `hasRolloverBorderEffect` - If `true`, the preview uses double click to select the tab and dismiss the tab overview dialog.
  `useDoubleClick` - If `true`, the tab preview controls have rollover effects on borders.

## Method Details

### mouseClicked

public void mouseClicked(MouseEvent e)

Specified by:
  `mouseClicked` in interface `MouseListener`
Overrides:
  `mouseClicked` in class `MouseAdapter`

### mouseEntered

public void mouseEntered(MouseEvent e)

Specified by:
  `mouseEntered` in interface `MouseListener`
Overrides:
  `mouseEntered` in class `MouseAdapter`

### mouseExited

public void mouseExited(MouseEvent e)

Specified by:
  `mouseExited` in interface `MouseListener`
Overrides:
  `mouseExited` in class `MouseAdapter`